Skip to main content
`Ctrl`+`K`
scipy.interpolate.BarycentricInterpolator.

# set_yi

BarycentricInterpolator.set_yi(yi, axis=None)

  Update the y values to be interpolated

  The barycentric interpolation algorithm requires the calculation of weights, but these depend only on the xi. The yi can be changed at any time.

  Parameters:
    yi array_like

      The y-coordinates of the points the polynomial will pass through. If None, the y values must be supplied later.

    axis int, optional

      Axis in the yi array corresponding to the x-coordinate values.